# Uses of Class
de.geolykt.starloader.mod.DiscoveredExtension

Packages that use DiscoveredExtension
Package
Description
de.geolykt.starloader.mod
Package for all Extension-related stuff.

## Uses of DiscoveredExtension in de.geolykt.starloader.mod

Methods in de.geolykt.starloader.mod that return DiscoveredExtension
Modifier and Type
Method
Description
`static @NotNull DiscoveredExtension`
DiscoveredExtension.`fromJSON(@NotNull InputStream in, @NotNull ExtensionPrototype prototype)`
`@NotNull DiscoveredExtension`
Extension.ExtensionDescription.`getOrigin()`
Methods in de.geolykt.starloader.mod with parameters of type DiscoveredExtension
Modifier and Type
Method
Description
`@NotNull MinestomExtensionClassLoader`
ExtensionManager.`newClassLoader(@NotNull DiscoveredExtension extension)`
Creates a new class loader for the given extension.
`static void`
DiscoveredExtension.`verifyIntegrity(@NotNull DiscoveredExtension extension)`
Constructors in de.geolykt.starloader.mod with parameters of type DiscoveredExtension
Modifier
Constructor
Description
``
`ExtensionDescription(@NotNull String name, @NotNull String version, @NotNull List<String> authors, @NotNull DiscoveredExtension origin)`